Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput
Class NewNodeBranchDataInput

    java.lang.Object
      info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput.NodeBranchDataInput
          info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput.NewNodeBranchDataInput

    public class NewNodeBranchDataInput

extends NodeBranchDataInput

Field Summary
`private Vector<NodeDataInputListener>` | `inputListeners`
`private JTextField` | `textField`

Fields inherited from class info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput.NodeBranchDataInput
`comboBox`

Constructor Summary
`NewNodeBranchDataInput(JPanel panel, int x, int y, boolean horizontal)`

Method Summary
`boolean` | `addInputListener(NodeDataInputListener listener)`
`private void` | `fireNewIDSelected(boolean selected)`
`protected JComboBox` | `getComboBox()`
`NodeBranchDataAdapter` | `getSelectedAdapter()` Returns the currently selected adapter.
`protected JTextField` | `getTextField()`
`boolean` | `removeInputListener(NodeDataInputListener listener)`
`void` | `setEnabled(boolean enabled)`
`void` | `setID(String id)` Sets the ID displayed in the contained text field.

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.nodebranchdatainput.NodeBranchDataInput
`getModel, setAdapters, setAdapters, setOnlyNewAdapters, setSelectedAdapter, setSelectedAdapter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textField

    private JTextField textField

### inputListeners

    private Vector<NodeDataInputListener> inputListeners

Constructor Detail

### NewNodeBranchDataInput

    public NewNodeBranchDataInput(JPanel panel,
                                  int x,
                                  int y,
                                  boolean horizontal)

Method Detail

### getSelectedAdapter

    public NodeBranchDataAdapter getSelectedAdapter()

  Description copied from class: `NodeBranchDataInput`
  Returns the currently selected adapter.

  Overrides:
    `getSelectedAdapter` in class `NodeBranchDataInput`
  Returns:
    the selected adapter (not a copy of it)

### getComboBox

    protected JComboBox getComboBox()

  Overrides:
    `getComboBox` in class `NodeBranchDataInput`

### getTextField

    protected JTextField getTextField()

### setEnabled

    public void setEnabled(boolean enabled)

  Overrides:
    `setEnabled` in class `NodeBranchDataInput`

### setID

    public void setID(String id)

  Sets the ID displayed in the contained text field.

  Parameters:
    `id` - the new ID

### addInputListener

    public boolean addInputListener(NodeDataInputListener listener)

### removeInputListener

    public boolean removeInputListener(NodeDataInputListener listener)

### fireNewIDSelected

    private void fireNewIDSelected(boolean selected)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD